%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-enum
Version:	1.016
Release:	5%{?dist}
Summary:	C style enumerated types and bitmask flags in Perl

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~zenin/enum-1.016/
Source0:	http://search.cpan.org/CPAN/authors/id/Z/ZE/ZENIN/enum-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Defines a set of symbolic constants with ordered numeric values ala C enum types.
Now capable of creating creating ordered bitmask constants as well. See the BITMASKS section for details.

%prep
%setup -q -n enum-%{version}


%build
%{__perl} Makefile.PL installdirs=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

find $RPM_BUILD_ROOT -name .packlist | xargs rm -rf
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm -rf

%files
%doc Changes INSTALL README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.016-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.016-4
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 1.016-3
- Rebuilt for fc22

* Tue Feb 26 2013 momo-i <webmaster@momo-i.org> 1.016-1
- Initial rpm release.
